%readrab2sg3m.m   10/12/3008
% read Rabigh SBE SeaGauge #1164 upload data from Oct 2008 recovery 
% 2st deployment
% input *.tid raw upload file
% output jday pressure temperature to rab2sg3m300s.mat
%
% Seagauge time is time at beginning of period
% So central time =time+2.5 min

clear;clf
mooring='Rabigh Aramco Terminal';depth=8; %m
instdepth=3;%m
latitude=22+44.076/60;longitude=38+59.654/60;
SN='SG1164';

% first remove / and : from the *.tid file with Perl fixseagauge.plx
	perl fixseagauge.plx C:\WHOI\redsea\data\pressure\apr09\uploads\sg1164_Rab_apr09.tid
    
    load fixed.dat; z=fixed; clear fixed
    jdaysg=julian([z(:,4) z(:,2) z(:,3) z(:,5) z(:,6) z(:,7)]);
    prestotalpsi=z(:,8);temp=z(:,9); % pressure total in psi, temperature C
    prestotaldb=prestotalpsi*.6894757;% pressure total in db

% Check SBE 1164 instrument clock at recovery and fix here

% Check Temperature calib

% Remove data before and after the deployment
    st=julian([2008  10 13 8 55 00]);%Rabigh deploy2
    et=julian([2009  04 27 8 20 00]);%Rabigh deploy2
    n=find(jdaysg<st | jdaysg>et);jdaysg(n)=[];
    prestotalpsi(n)=[];temp(n)=[];prestotaldb(n)=[];
    pres=prestotaldb;
    
%   center the data at the middle of the 5 min time for pressure, % ref Seagauge manual page 31
    jday=jdaysg+2.5/(24*60); % 5 minute data
    
% get barometric pressure, first get file metall.mat
    %load C:\WHOI\redsea\data\met\metall
    %n=find(jdm<jdaysg(1) | jdm>jdaysg(length(jdaysg))+.001);jdm(n)=[];bpm(n)=[];
    %ssp=prestotaldb-bpm/100; % removes atmospheric pressure in db 
    %jdaytc=jday; % for temperature and salinity, a spot measurement

% Plot pressure
    [ax,h1,h2]=plotyy(jday,pres,jday,temp);
    h=title('Rabigh Bottom Pressure');set(h,'fontsize',12)
    set(ax(1),'ylim',[14.6 15.6],'ytick',[14.8 15.0 15.2 15.4 15.6],'xtickl',[]);
    set(get(ax(1),'Ylabel'),'String','Pressure db');
    set(ax(2),'Ycolor','r','fontsize',14,'xtickl',[]);set(h2,'color','r');
    set(ax(2),'ylim',[24 33],'ytick',[25 27 29 31 33],'xtickl',[]);

    set(get(ax(2),'Ylabel'),'String','Temperature C');
    grid;gregaxd(jday,30);figure(gcf);
    %wysiwyg
    jdaysg2=jday;tempsg2=temp;pres2=pres;
    
    save rab2sg3m300s mooring jdaysg2 pres2 tempsg2  ...
		 depth instdepth latitude longitude SN 
    print -djpeg rab2sg3m300sec
