%readthu2sg3m.m   10/12/3008
% read Thuwal SBE SeaGauge #1163 upload data from Oct 2008 recovery 
% 2st deployment
% input *.tid raw upload file
% output jday pressure temperature to thu2sg3m300s.mat
%
% Seagauge time is time at beginning of period
% So central time =time+2.5 min

clear;clf
mooring='Thuwal Navy Pier';depth=8;%m
instdepth=3;%m
latitude=22+(20+(51.9/60))/60;longitude=39+(5+(20.2/60))/60;
SN='SG1163';


% first remove / and : from the *.tid file with Perl fixseagauge.plx
	perl fixseagauge.plx C:\WHOI\redsea\data\pressure\apr09\uploads\sg1163_Thu_apr09.tid
    
    load fixed.dat; z=fixed; clear fixed
    jdaysg=julian([z(:,4) z(:,2) z(:,3) z(:,5) z(:,6) z(:,7)]);
    prestotalpsi=z(:,8);temp=z(:,9); % pressure total in psi, temperature C
    prestotaldb=prestotalpsi*.6894757;% pressure total in db

% Check SBE 1163 instrument clock at recovery and fix here

% Check Temperature calib

% Remove data before and after the deployment
    st=julian([2008 10 13  11 25 00]); % Thuwal deploy Oct 2008
    et=julian([2009  4 27  10 30 00]); % Thuwal recover Apr 2009 
    n=find(jdaysg<st | jdaysg>et);jdaysg(n)=[];
    prestotalpsi(n)=[];temp(n)=[];prestotaldb(n)=[];
    pres=prestotaldb;
    
%   center the data at the middle of the 5 min time for pressure, % ref Seagauge manual page 31

    jday=jdaysg+2.5/(24*60); % 5 minute data
    
% get barometric pressure, first get file metall.mat
    %load C:\WHOI\redsea\data\met\metall
    %n=find(jdm<jdaysg(1) | jdm>jdaysg(length(jdaysg))+.001);jdm(n)=[];bpm(n)=[];
    %ssp=prestotaldb-bpm/100; % removes atmospheric pressure in db 
    %jdaytc=jday; % for temperature and salinity, a spot measurement

% Plot pressure
    [ax,h1,h2]=plotyy(jday,pres,jday,temp);
    h=title('Thuwal Bottom Pressure');set(h,'fontsize',12)
    set(ax(1),'ylim',[11.6 12.6],'ytick',[11.8 12.0 12.2 12.4 12.6],'xtickl',[]);
    set(get(ax(1),'Ylabel'),'String','Pressure db');
    set(ax(2),'Ycolor','r','fontsize',14,'xtickl',[]);set(h2,'color','r');
    set(ax(2),'ylim',[24 33],'ytick',[25 27 29 31 33],'xtickl',[]);

    set(get(ax(2),'Ylabel'),'String','Temperature C');
    grid;gregaxd(jday,30);figure(gcf);
    %wysiwyg
    jdaysg2=jday;tempsg2=temp;pres2=pres;
    
    save thu2sg3m300s mooring jdaysg2 pres2 tempsg2  ...
		 depth instdepth latitude longitude SN 
    print -djpeg thu2sg3m300sec
